> For the complete documentation index, see [llms.txt](https://docs.soraco.co/docs/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.soraco.co/docs/api-reference/.net-api/ilicenseinfo/properties.md).

# Properties

| Name                    |                                                              Description                                                             |
| ----------------------- | :----------------------------------------------------------------------------------------------------------------------------------: |
| ActivationCount         |          Value of the [activation count](https://support.soraco.co/hc/en-us/articles/360037639151-License-Activation-Count)          |
| ActivationDate          |                                                    Date the license was activated                                                    |
| ActivationKey           |                                                            Activation Key                                                            |
| AffiliateID             |                                                User Group associated with the license                                                |
| AvailableLicenses       |                                         Number of licenses currently available for activation                                        |
| AuthorizationCode       |                      Authorization code returned by the server when performing activation by authorization code                      |
| Comment                 |                                                  Comment associated with the license                                                 |
| Company                 |                                             Name of company associated with the customer                                             |
| ComputerID              |                                      Computer ID of the system on which the license is activated                                     |
| ComputerKey             |                                                Computer Key generated after activation                                               |
| ComputerName            |                                     Computer Name of the system on which the license is activated                                    |
| ComputerType            |                            Computer type of the system on which the license was activated: VM \| Physical                            |
| Duration                |                                              Expiry Duration associated with the license                                             |
| EligibleVersion         |                                        Latest version of the product eligible to the customer                                        |
| Email                   |                                              Email address associated with the customer                                              |
| ExpiryDate              |                                                Expiry Date associated with the license                                               |
| Features                |                                                    Features enabled in the license                                                   |
| FloatingLicenseLocation |                                    Location of the floating license database stored on the server                                    |
| FloatingSeats           |                                         Number of floating seats associated with the license                                         |
| FullName                |                                                 Fullname associated with the customer                                                |
| LatestVersion           |                                           Latest version of the product currently available                                          |
| LatestVersionUrl        |                                               URL to the latest version of the product                                               |
| LegacyKey               |                                                Legacy key associated with the license                                                |
| LicenseModel            |                                           License model: trial \| subscription \| permanent                                          |
| LicenseStatus           |                                               Status of the license currently validated                                              |
| MaintenanceRenewalDate  |                                                  Expiry date of the maintenance plan                                                 |
| MajorVersion            |                                               Major version associated with the license                                              |
| MaxReleaseCount         |   Value of the [MaxReleaseCount](https://support.soraco.co/hc/en-us/articles/360024265992-How-to-limit-the-number-of-deactivations)  |
| MaxReleasePeriodInDays  | Value of [MaxReleasePeriodInDays](https://support.soraco.co/hc/en-us/articles/360024265992-How-to-limit-the-number-of-deactivations) |
| MinorVersion            |                                               Minor version associated with the license                                              |
| NewExpiryDate           |                         New expiry date detected on the server following a request for server-side validation                        |
| NewFeatures             |                          New features detected on the server following a request for server-side validation                          |
| NewFloatingSeats        |           New value for the number of floating seats detected on the server following a request for server-side validation           |
| NumLicenses             |                                            Number of licenses associated with the license                                            |
| ProductID               |                                                Product ID associated with the license                                                |
| ProductName             |                                            Name of the product associated with the license                                           |
| ProductProperties       |                                            Product Properties associated with the license                                            |
| OrderID                 |                                                 Order ID associated with the license                                                 |
| RegisteredComputerKey   |                                                 Computer key registered on the server                                                |
| RegisteredComputerID    |                                                 Computer ID registered on the server                                                 |
| RegisteredComputerName  |                                                Computer Name registered on the server                                                |
| ReleaseDate             |                                                 Date the license was last deactivated                                                |
| ServerDate              |                                                      Date of the License Server                                                      |
| ServerErrorCode         |                                                   Error code returned by the server                                                  |
| SubscriptionID          |                                              Subscription ID associated with the license                                             |
| UserData                |                                                 User data associated with the license                                                |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.soraco.co/docs/api-reference/.net-api/ilicenseinfo/properties.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
